MAT_GETVERSION(3)

NAME
Mat_GetVersion - Returns the version of a MATLAB MAT file given a MAT file structure.

SYNOPSIS
#include <matio.h>
enum mat_ft
Mat_GetVersion(const mat_t *matfp);

DESCRIPTION
The Mat_GetVersion() function returns the version of the MATLAB MAT file given by the MAT file structure.

RETURN VALUES
The return value is one of the following:

•   MAT_FT_MAT4 if the file is a version 4 MAT file.

•   MAT_FT_MAT5 if the file is a version 5 MAT file.

•   MAT_FT_MAT73 if the file is an HDF5 MAT file.

SEE ALSO
Mat_CreateVer(3), Mat_Open(3), Mat_GetFileAccessMode(3), Mat_GetFilename(3), Mat_GetHeader(3)